## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface User

All Superinterfaces:
  AuthorizationIdentifier, SQLObject

All Known Implementing Classes:
  UserImpl

public interface User
extends AuthorizationIdentifier

A representation of the model object 'User'. Reference: 5WD-02-Foundation-2002-12 4.34.1 Authorization Identifiers

The following features are supported:

- `Group`

See Also:
  `SQLAccessControlPackage.getUser()`

Method Summary
`EList` `getGroup()` Returns the value of the 'Group' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getGroup

    public EList getGroup()

  Returns the value of the 'Group' reference list. The list contents are of type `Group`. It is bidirectional and its opposite is '`User`'.

  If the meaning of the 'Group' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' reference list.
  See Also:
    `SQLAccessControlPackage.getUser_Group()`, `Group.getUser()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.